> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all deployments of an image.

> Get all deployments of an image.

## OpenAPI

````json GET /v1/builds/deployments/{build-id}
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/builds/deployments/{build-id}": {
      "get": {
        "tags": [
          "Build"
        ],
        "summary": "Get all deployments of an image.",
        "description": "Get all deployments of an image.",
        "operationId": "getBuildDeployments",
        "x-auth-resource": "Reader,Writer,Manager",
        "parameters": [
          {
            "$ref": "#/parameters/BuildId"
          },
          {
            "$ref": "#/parameters/AppStatusType"
          },
          {
            "name": "all_search",
            "in": "query",
            "description": "Search on all fields (image status and compute node name).",
            "required": false,
            "type": "string"
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC",
            "required": false,
            "type": "string"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum number of images to return.",
            "required": false,
            "type": "integer"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "Number of images to skip from start.",
            "required": false,
            "type": "integer"
          }
        ],
        "responses": {
          "200": {
            "description": "Details of image deployments.",
            "schema": {
              "$ref": "#/definitions/GetAllBuildDeploymentsResponse"
            }
          }
        },
        "security": [
          {
            "bearerToken": []
          }
        ]
      }
    }
  }
}
````

